NL_importComplete=true;
//******************** __NL_Dom class ********************
//

/*[使用法]
	
*/

//[使用例] 

//[作者] Gen

//[メンバ一覧]
/****** global function ******
	__NL_Dom();	//使用してはいけません。
************************/

/****** static method *******
	HtmlElement	getFirstSpecificChild(HtmlElement obj,string nodeName);
							//html要素objの子要素を順に探し、最初に見つかったタグ名がnodeNameである要素を返します。
	HtmlElement	getFirstSpecificBrother(HtmlElement obj,string nodeName);
							//html要素objの兄弟要素を順に探し、最初に見つかったタグ名がnodeNameである要素を返します。
	Document	getDocument(string id);		//idを持つフレームのドキュメントを返します。(クロスブラウザ)

	int		getLeft(HTMLElement elem);	//HTML要素の左辺の座標を返します(クロスブラウザ)
	int		getTop(HTMLElement elem);	//HTML要素の上辺の座標を返します(クロスブラウザ)
	int		getWidth(HTMLElement elem);	//HTML要素の幅を返します(クロスブラウザ)
	int		getHeight(HTMLElement elem);	//HTML要素の高さを返します(クロスブラウザ)
	void	moveTo(HTMLElement elem,int X,int Y) //HTML要素を移動します(クロスブラウザ)

************************/

//[プログラム本体]
//********** constructor **********
function __NL_Dom(){
	alert("このクラスはインスタンス化できません。");
}
//****** static method *******
__NL_Dom.getDocument = function (id){
	if(document.all) return frames[id].document;
	else return document.getElementById(id).contentDocument;
};
__NL_Dom.getFirstSpecificChild = function (obj,nodeName){
	for(var key in obj.childNodes){
		var item=obj.childNodes[key];
		if(typeof(item.nodeName)!='undefined' && item.nodeName==nodeName) return item;
	}
	return null;
};
__NL_Dom.getFirstSpecificBrother = function(obj,nodeName){
	var findMySelf=false;
	for(var key in obj.parentNode.childNodes){
		var item=obj.parentNode.childNodes[key];
		if(!findMySelf){
			if(item==obj) findMySelf=true;
		}
		else{
			if(typeof(item.nodeName)!='undefined' && item.nodeName==nodeName) return item;
		}
	}
	return null;
};
//*** 座標関連 ***
__NL_Dom.getLeft = function(elem){
	if(NL_browser =='nn6'||NL_browser =='opera'||NL_browser =='saf') return elem.offsetLeft;
	if(NL_browser =='nn4') return elem.left;
	if(NL_browser =='ie') return NL_isIE5?elem.offsetLeft:elem.style.pixelLeft;
	return 0;
};

__NL_Dom.getTop = function(elem){
	if(NL_browser =='nn6'||NL_browser =='opera'||NL_browser =='saf') return elem.offsetTop;
	if(NL_browser =='nn4') return elem.top;
	if(NL_browser =='ie') return NL_isIE5?elem.offsetTop:elem.style.pixelTop;
	return 0;
};
__NL_Dom.getWidth = function(elem){
	if(NL_browser =='nn6'||NL_browser =='opera'||NL_browser =='saf') return elem.offsetWidth;
	if(NL_browser =='nn4') return elem.clip.width;
	if(NL_browser =='ie') return NL_isIE5?elem.offsetWidth:elem.style.pixelWidth;
	return 0;
};
__NL_Dom.getHeight = function(elem){
	if(NL_browser =='nn6'||NL_browser =='opera'||NL_browser =='saf') return elem.offsetHeight;
	if(NL_browser =='nn4') return elem.clip.height;
	if(NL_browser =='ie') return NL_isIE5?elem.offsetHeight:elem.style.pixelHeight;
	return 0;
};

//加筆　2006.01.15 Mattsun/////////
__NL_Dom.getGlobalLeft = function(elem){
	var X = __NL_Dom.getLeft(elem);
	while(elem.parentNode && elem.nodeName != "BODY"){
		X  += __NL_Dom.getLeft(elem);
		elem = elem.parentNode;
	}
	return X;
}
__NL_Dom.getGlobalTop = function(elem){
	var Y = __NL_Dom.getTop(elem);
	while(elem.parentNode && elem.nodeName != "BODY"){
		Y  += __NL_Dom.getTop(elem);
		elem = elem.parentNode;
	}
	return Y;
}

__NL_Dom.resizeTo = function(elem,width,height){
	if(!elem || !elem.nodeType){return;}
	width 	= Math.round(width);
	height 	= Math.round(height);
	
	//警告：まだクロスブラウザになっていません。
	//ブラウザによってボーダーの扱いに差があります。
	//IE		:width,heightはボーダーを含みます。（意図する動作）
	//opera8,ff	:width,heightはボーダーを含みません。サイズはwidth,heightより大きくなります（意図しない動作）
	//example_NL_Rect.htmを用いて確認してください
	if(NL_browser =='nn6'||NL_browser =='saf'){
		elem.style.width =width +'px';
		elem.style.height=height+'px';
	}
	else if(NL_browser =='nn4'){
		elem.resizeTo(width,height);
	}
	else if(NL_browser =='ie'||NL_browser =='opera'){
		elem.style.pixelWidth  = width;
		elem.style.pixelHeight = height;
	}
	//Block Clip
		var top		= 0;
		var right	= width;
		var bottom	= height;
		var left	= 0;
	
		if(NL_browser =='nn6'||NL_browser =='ie'||NL_browser =='opera'){
			elem.style.clip='rect('+top+'px '+right+'px '+bottom+'px '+left+'px)';
			return;
		}
		if(NL_browser =='nn4'){
			elem.clip.top  	 	= top;
			elem.clip.right		= right;
			elem.clip.bottom	= bottom;
			elem.clip.left 		= left;
			return;
		}
	//End Block Clip
};

__NL_Dom.moveTo = function(elem,X,Y){
	if(!elem || !elem.nodeType){return;}
	X = Math.round(X);
	Y = Math.round(Y);
	
	if(NL_browser =='nn6'||NL_browser =='opera'){
		elem.style.left= X +'px';
		elem.style.top = Y +'px';
		return;
	}
	if(NL_browser =='nn4'){ elem.moveTo(X,Y); return; }
	if(NL_browser =='ie'){
		elem.pixelLeft=X;
		elem.pixelTop =Y;
		return;
	}
}
//ここまで　加筆　2006.01.15////////////
	
//******************** /__NL_Dom class ********************

