//PhotoSquare:Define
//2005.10.25 Mattsun

//ドキュメントの初期化を実行します
//このスクリプトHTMLのヘッダ内で実行する事で
//必要なjavascript,CSS,リソース,定数等を読み込みます


/*
使用法：
	1.このファイルの設定用オブジェクトに必要なモジュール・CSS等を指定
	2.HTMLヘッダでdefine.jsを読み込み
	3.同じくヘッダないでDefineDocument()を実行
*/

//設定用オブジェクト：読み込みライブラリ等はここで設定します
//このオブジェクト初期化と同時に削除されるため外部からアクセスする事はできません。
var LoadModules	= new Object;
	//LoadModules.RootDirectory			= "file:///Volumes/nekobooks.com/";
	LoadModules.CSSList 				= [
		"js/gallery.css"
	];
	LoadModules.JSFileList				= [
		"js/imglist.js",
		"js/imgview.js",
		"js/gallery.js"
	];

////////////////////	以下編集不要	/////////////

//ファイル読み込み時の処理

DefineDocument();

//初期化関数（ヘッダ内で実行する事）
function DefineDocument(){
	document.write('<script type="text/javascript">NL_importFinish();</' + 'script>');
	
	//読み込むCSSのリスト
	var cssList = 	LoadModules.CSSList;
	//読み込むJavaScriptのリスト
	var scriptList = LoadModules.JSFileList;
	
	
	//以下読み込み処理
	var qt = "\"";
	for(var i = 0 ; i < cssList.length ; i++){
		document.write('<link rel="stylesheet" type="text/css" title="stylesheet" href="' + cssList[i] + '" />');
	}
	for(var i = 0 ; i < scriptList.length ; i++){
		document.write('<script type="text/javascript" src="' + scriptList[i] + '" ></script>');
	}
	
	//後始末
	delete LoadModules;

}