NL_importComplete=true;

NL_Timer.__objPool 	= [];
NL_Timer.__retain	= function(obj){
	NL_Timer.__objPool.push(obj);
}
NL_Timer.__release	= function(obj){
	for(var Key in NL_Timer.__objPool){
		if(NL_Timer.__objPool[Key] == obj){
			NL_Timer.__objPool[Key] = null;
		}
	}
}

NL_Timer.prototype = {
	_counter			:	0		,
	_maxCount			:	-1		,
	_clientFunc			:	null	,
	_timerID			:	0		,
	interval			:	100		,

	_onaction			:
		function(){
			this._counter++;
			if(this._clientFunc){
				this._clientFunc(this._counter,this._counter/this._maxCount);
			}
			if(this._counter == this._maxCount){this.stop()}
		}
	,//end onaction/////////////////////
	
	stop				:
		function(){
			clearInterval(this._timerID);
			this._timerID		= 0;
			this._counter		= 0;
			NL_Timer.__release(this);
		}
	,//End stop/////////////////////////
	run					:
		function(){
			if(this.timerID){this.stop();}
			var TimerObj = this;
			this._timerID = setInterval(function(){TimerObj._onaction()},this.interval);
			NL_Timer.__retain(this);
		}
	//End run///////////////////////////

}

//Constructor///////////////////////////
function NL_Timer(Func,Interval,MaxCount){
	this._clientFunc		= Func;
	this.interval		= Interval;
	if(MaxCount){
		this._maxCount = MaxCount;
	}
}